-- calling this function will blow up LHCP
-- until the files are re-executed
function LHCP_DisposeData()
	LeeroyHillCatsPower_extensions = nil;
	LeeroyHillCatsPower_eastereggs = nil;
	LeeroyHillCatsPower_data = nil;
	LeeroyHillCatsPower_new = nil;
	LeeroyHillCatsPower_about = nil;
	LeeroyHillCatsPower_help = nil;
end

LeeroyHillCatsPower_emotes = {
	"dance", "roar", "cheer", "flex", "threaten",
	"kneel", "charge", "frown", "gasp", "cackle", "cry",
	"open fire", "anger", "drool", "salute", "spit", "no",
	"ready", "sexy", "laugh", "cries"
}

LeeroyHillCatsPower_ignoreZones = {
	["Molten Core"] = true,
	["Ahn'Qiraj"] = true,
	["Blackwing Lair"] = true,
	["Caverns of Time"] = true,
	["Naxxramas"] = true,
	["Onyxia's Lair"] = true,
	["Ruins of Ahn'Qiraj"] = true,
	["Zul'Gurub"] = true,
}
table.sort(LeeroyHillCatsPower_ignoreZones);

-- ["data"] = list of member keys
LeeroyHillCatsPower_categories = {
	announcer = {
		help = "announcer vocal samples",
	},
	classic = {
		help = "LeeroyHillCatsPower! classic sounds",
	},
	dance = {
		help = "music do /dance to",
	},
	battle = {
		help = "battle sounds and music (battlefx is only sounds)",
	},
	battlefx = {
	},
	movie = {
		help = "movie sounds and music (moviefx is only sounds)",
	},
	moviefx = {
	},
	epic = {
		help = "epic/boss music (at least 10s long)"
	},
	music = {
		help = "music clips (at least 10s long)"
	},
	pop = {
		help =  "US pop songs and samples"
	},
	jpop = {
		help =  "Japan pop songs and samples"
	},
	rock = {
		help = "rock songs and samples"
	},
	rap = {
		help = "rap songs and samples"
	},
	techno = {
		help = "techno songs and samples"
	},
	tv = {
		help = "tv sounds and music (tvfx is only sounds)"
	},
	tvfx = {
	},
	anime = {
		help = "anime sounds and music (animefx is only sounds)"
	},
	animefx = {
	},
	rpg = {
		help = "role playing game sounds and music (rpgfx is only sounds)"
	},
	rpgfx = {
	},
	fps = {
		help = "first person shooter sounds, vocals, and music"
	},
	fpsfx = {
		help 
	},
	vent = {
		help = "Ventrillo/Teamspeak recordings or game/irl crossover clips"
	},
	ytmnd = {
		help = "ytmnd.com"
	},
	wow = {
		help = "World of Warcraft meme sounds"
	},
	meme = {
		help = "web-wide memes"
	},
	new = {
		help = "added since July 2006 (previous major release)"
	},
	nsfw = {
		help = "emotes which are not safe for work/children"
	},
}
table.sort(LeeroyHillCatsPower_categories);

LeeroyHillCatsPower_extensions = {
	".mp3",
	".wav",
}

LeeroyHillCatsPower_credits = {
	"Leeroy Hill Cats Power Extended",
	"Written by Barogio of Thunderhorn with help from Moomin!",
	"Extended and Optimized by IceLynx, Ruuro, and Basic of Kil'Jaeden",
}

LeeroyHillCatsPower_about = {
	"This is a sound/emote modification. Others with LHCP installed will hear your LHCP emotes",
	"/lhcp help - get extended help",
	"/lhcp list (all|CATEGORY) - list all emotes, emote categories or emotes in category",
	"/lhcp ignore - ignore LHCP and spammed emotes",
}

LeeroyHillCatsPower_help = {
	"/lhcp toggle - toggle ignore mode",
	"/lhcp quiet - do not play sounds",
	"/lhcp unignore - play sounds and show emotes",
	"/lhcp pvp - don't play sounds from opposing faction",
	"/lhcp nospam - hide spammed emotes",
	"/lhcp nsfw - play NSFW sounds",
	"/lhcp sfw - don't play NSFW sounds",
	"/lhcp info EMOTE - print info about emote",
	"/lhcp status - LHCP status and ignore settings",
	"/lhcp play EMOTE - privately play emote",
	"/lhcp play random (CATEGORY) - privately play emote (in category)",
	"/lhcp preview EMOTE - preview sound for emote",
	"/lhcp preview random (CATEGORY) - preview random emote (in category)",
	"/lhcp global - toggle global preferences",
	"/lhcp toggle - toggle between the principal ignore modes",
	"/lhcp raidignore - toggle raid ignore (don't play events in raid instances)",
	"/lhcp random (CATEGORY) - emote random sound (in category)",
}

